package com.xy.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotBlank;

@Data
@Accessors(chain = true)
public class WxAuthorizeDto {

    @Data
    @Accessors(chain = true)
    public static class JssdkSign {

        @NotBlank(message = "appId不能为空")
        @ApiModelProperty("appId")
        private String appId;

        @NotBlank(message = "url不能为空")
        @ApiModelProperty("当前网页的URL")
        private String url;

    }

    @Data
    @Accessors(chain = true)
    public static class JssdkSignVo {

        @ApiModelProperty("appId")
        private String appId;

        @ApiModelProperty("时间戳")
        private String timestamp;

        @ApiModelProperty("随机字符串")
        private String nonceStr;

        @ApiModelProperty("签名")
        private String signature;
    }

}
